<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Expense Closure</ion-title>
    <ion-buttons slot="end" style="font-size: 1.8rem;" routerDirection="root" routerLink="/home">
      <ion-icon name="home"></ion-icon>
    </ion-buttons>
    <ion-buttons (click)="Resetpage()" slot="end" style="font-size: 1.8rem;">
      <ion-icon name="refresh"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <form [formGroup]="travelPlanClosureForm" (ngSubmit)="onSaveTravelPlanClosure(travelPlanClosureForm.value)">
          <ion-card>
            <ion-card-content>
              <ion-row>
                <ion-col>
                  <h5 ion-text class="text-primary">
                    <ion-icon name="person"></ion-icon> Plan :
                  </h5>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Sales Person</ion-label>
                    <ion-input type="text" formControlName="salesperson"
                      [disabled]="true"></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
            <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="stacked">Plan<span style="color:red!important">*</span></ion-label>
                    <ion-select #C formControlName="selectedplan" interface="popover"
                      (ionChange)="onChangeplan()" multiple="false" placeholder="Select Plan">
                      <ion-select-option *ngFor="let plan of salespersoninfo" [value]="plan.mexp_visitplan_id">
                        {{plan.plan}}</ion-select-option>
                    </ion-select>
                  </ion-item>
                  <div padding-left>
                    <ng-container *ngFor="let validation of validation_messages.selectedplan">
                      <div
                        *ngIf="travelPlanClosureForm.get('selectedplan').hasError(validation.type) && travelPlanClosureForm.get('selectedplan').touched">
                        <p style="color: red;font-size: small;">{{validation.message}}</p>
                      </div>
                    </ng-container>
                  </div>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <!-- <ion-item>
                    <ion-label>From Date</ion-label>
                    <ion-datetime placeholder="Select Date" [disabled]="true"
                      formControlName="travelPlanClosureForm.controls['fromdate']" displayFormat="DD.MM.YYYY" max="2050">
                    </ion-datetime>
                  </ion-item>  -->
                  <ion-item [disabled]="true">
                    <ion-label position="stacked">From Date</ion-label>
                    <ion-item>
                      <ion-input placeholder="Select Date" [value]="datefrom"></ion-input>
                      <ion-button fill="clear" id="open-date-input-1">
                        <ion-icon icon="calendar"></ion-icon>
                      </ion-button>
                      <ion-popover class="dateTimePopover" trigger="open-date-input-1" show-backdrop="false">
                        <ng-template>
                          <ion-datetime
                            #popoverDatetime2
                            presentation="date"
                            showDefaultButtons="true"
                            max="2050"
                            formControlName="fromdate" 
                            (ionChange)="datefrom = formatDate(popoverDatetime2.value)"
                          ></ion-datetime>
                        </ng-template>
                      </ion-popover>
                    </ion-item>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <!-- <ion-item>
                    <ion-label>To Date</ion-label>
                    <ion-datetime placeholder="Select Date" [disabled]="true"
                      formControlName="travelPlanClosureForm.controls['todate']" displayFormat="DD.MM.YYYY" max="2050">
                    </ion-datetime>
                  </ion-item> -->
                  <ion-item [disabled]="true">
                    <ion-label position="stacked">To Date</ion-label>
                    <ion-item>
                      <ion-input placeholder="Select Date" [value]="dateto"></ion-input>
                      <ion-button fill="clear" id="open-date-input-2">
                        <ion-icon icon="calendar"></ion-icon>
                      </ion-button>
                      <ion-popover class="dateTimePopover" trigger="open-date-input-2" show-backdrop="false">
                        <ng-template>
                          <ion-datetime
                            #popoverDatetime2
                            presentation="date"
                            showDefaultButtons="true"
                            max="2050"
                            formControlName="todate" 
                            (ionChange)="dateto = formatDate1(popoverDatetime2.value)"
                          ></ion-datetime>
                        </ng-template>
                      </ion-popover>
                    </ion-item>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Home Lat</ion-label>
                    <ion-input type="text" formControlName="homelat" [disabled]="true">
                    </ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Home Long</ion-label>
                    <ion-input type="text" formControlName="homelong" [disabled]="true">
                    </ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label>Outstation?</ion-label>
                    <ion-checkbox slot="end" [disabled]="true" [checked]="outstation_chk_box"
                      formControlName="outstationChkCtrl"></ion-checkbox>
                  </ion-item>
                </ion-col>
              </ion-row>
            </ion-card-content>
          </ion-card>
          <!-- Customer Detail Card -->
          <ion-card>
            <ion-card-content>
              <ion-row>
                <ion-col>
                  <h5 ion-text class="text-primary">
                    <ion-icon name="bookmarks"></ion-icon> Customer:
                  </h5>
                </ion-col>
                <ion-col>
                  <div style="display: none;">
                    <ion-fab-button size="small" float-right (click)="onAddLead(null)">
                      <ion-icon name="add"></ion-icon>
                    </ion-fab-button>
                  </div>
                </ion-col>
              </ion-row>
              <div style="overflow-x:auto">
                <ion-grid>
                  <ion-row nowrap>
                    <ion-col nowrap>
                      <ion-row nowrap>
                        <ion-col col-3 size="4" class="grid-header">Line Number</ion-col>
                        <ion-col size="8" class="grid-header">Customer</ion-col>
                        <ion-col size="8" class="grid-header">Address</ion-col>
                        <ion-col size="4" class="grid-header">Day</ion-col>
                        <ion-col size="6" class="grid-header">Date</ion-col>
                        <!-- <ion-col size="5" class="grid-header">Address Lat</ion-col> -->
                        <!-- <ion-col size="5" class="grid-header">Address Long</ion-col> -->
                        <ion-col size="2" class="grid-header">KM</ion-col>
                        <ion-col size="4" class="grid-header">Status</ion-col>
                      </ion-row>
                    </ion-col>
                  </ion-row>
                  <ion-row *ngFor="let data of leads; index as i" nowrap>
                    <ion-col nowrap>
                      <ion-row nowrap (click)="hideshowsublead(data)">
                        <ion-col size="1" style="width: 100%; text-align: right;">
                          <ion-icon ios="ios-checkmark-circle" md="checkmark-circle" style="font-size: x-large;">
                          </ion-icon>
                        </ion-col>
                        <ion-col size="1" style="width: 100%; text-align: right;">

                        </ion-col>
                        <ion-col size="2" class="forecast_div">{{data.line}}</ion-col>
                        <ion-col size="8" class="forecast_div">{{data.custname}}</ion-col>
                        <ion-col size="8" class="forecast_div">{{data.addressname}}</ion-col>
                        <ion-col size="4" class="forecast_div">{{data.visit_day}}</ion-col>
                        <ion-col size="6" class="forecast_div">{{data.visit_date}}</ion-col>
                        <!-- <ion-col size="5" class="forecast_div">{{data.latitude}}</ion-col> -->
                        <!-- <ion-col size="5" class="forecast_div">{{data.longitude}}</ion-col> -->
                        <ion-col size="2" class="forecast_div">{{data.km}} km</ion-col>
                        <ion-col size="4" class="forecast_div">{{data.status}}</ion-col>

                        <!-- <ion-col size="3" class="forecast_div">{{data.status}}</ion-col> -->

                      </ion-row>
                      <div *ngIf="data.show">
                        <ion-row nowrap>
                          <ion-col nowrap>
                            <ion-row nowrap>
                              <ion-col size="4" offsetLg="2"  class="grid-header">Task</ion-col>
                              <ion-col size="2" class="grid-header">Done?</ion-col>
                            </ion-row>
                            <ion-row *ngFor="let task of data.TaskList; index as i" nowrap>
                              <ion-col size="4"  offsetLg="2" class="forecast_div">{{task.task}}</ion-col>
                              <ion-col size="2" class="forecast_div">
                               <ion-checkbox [disabled]="true" [ngModelOptions]="{standalone: true}"
                                  [(ngModel)]="task.Done"></ion-checkbox>
                              </ion-col>
                              <!-- <ion-col size="2" class="forecast_div" *ngIf="task.info_required!='N'" >
                                <ion-textarea type="text" placeholder="Remark" [ngModelOptions]="{standalone: true}" [(ngModel)]="task.remark"></ion-textarea>
                              </ion-col> -->
                            </ion-row>
                          </ion-col>
                        </ion-row>
                      </div>
                    </ion-col>
                  </ion-row>
                </ion-grid>
              </div>
            </ion-card-content>
          </ion-card>
          <ion-card>
            <ion-card-content>
              <ion-row>
                <ion-col>
                  <h5 ion-text class="text-primary">
                    <ion-icon name="wifi"></ion-icon> Expense Detail
                  </h5>
                </ion-col>
              </ion-row>
              <div style="overflow-x:auto">
                <ion-grid>
                  <ion-row nowrap>
                    <ion-col nowrap>
                      <ion-row nowrap>
                        <ion-col size="6" class="grid-header">From</ion-col>
                        <ion-col size="6" class="grid-header">To</ion-col>
                        <ion-col size="6" class="grid-header">Travel Expense</ion-col>
                        <ion-col size="6" class="grid-header">Amount</ion-col>
                      </ion-row>
                    </ion-col>
                  </ion-row>
                  <ion-row *ngFor="let data of expenseList; index as i" nowrap>
                    <ion-col nowrap>
                      <ion-row nowrap>
                        <ion-col size="6" class="forecast_div">{{data.fromdate}}</ion-col>
                        <ion-col size="6" class="forecast_div">{{data.todate}}</ion-col>
                        <ion-col size="6" class="forecast_div">{{data.travel_expence}}</ion-col>
                        <ion-col size="6" class="forecast_div">{{data.amount}}</ion-col>
                      </ion-row>
                    </ion-col>
                  </ion-row>
                  <ion-row nowrap>
                    <ion-col nowrap>
                      <ion-row nowrap>
                        <ion-col size="6" class="grid-header"></ion-col>
                        <ion-col size="6" class="grid-header"></ion-col>
                        <ion-col size="6" class="grid-header"></ion-col>
                        <ion-col size="6" class="grid-header">{{sumtotalamount}}</ion-col>
                      </ion-row>
                    </ion-col>
                  </ion-row>
                </ion-grid>
              </div>
            </ion-card-content>
          </ion-card>
          <ion-item float-right lines="none">
            <ion-button color="primary" text-center (click)="onSaveTravelPlanClosure(travelPlanClosureForm.value)">Close
              Plan</ion-button>
          </ion-item>
        </form>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>